import unittest

from orangecontrib.srw.tests.utils.OpticalElementTest import OpticalElementTest
from orangecontrib.srw.tests.utils.OpticalRouteTest import OpticalRouteTest

from orangecontrib.srw.tests.drivers.DriverSettingsTest import DriverSettingsTest
from orangecontrib.srw.tests.drivers.AbstractDriverDataTest import AbstractDriverDataTest
from orangecontrib.srw.tests.drivers.AbstractDriverTest import AbstractDriverTest
from orangecontrib.srw.tests.drivers.DriverSettingAttributeTest import DriverSettingAttributeTest
from orangecontrib.srw.tests.drivers.srw.SRWDriverTest import SRWDriverTest


def suite():
    suites = (
        unittest.makeSuite(OpticalElementTest, 'test'),
        unittest.makeSuite(OpticalRouteTest, 'test'),

        unittest.makeSuite(DriverSettingsTest, 'test'),
        unittest.makeSuite(AbstractDriverDataTest, 'test'),
        unittest.makeSuite(AbstractDriverTest, 'test'),
        unittest.makeSuite(DriverSettingAttributeTest, 'test'),
        unittest.makeSuite(SRWDriverTest, 'test'),
    )
    return unittest.TestSuite(suites)


if __name__ == "__main__":
    unittest.main(defaultTest="suite")

